﻿using Microsoft.SystemCenter.Orchestrator.Integration;

namespace SocialMediaIntegrationPack
{
    [ActivityData("OAuth Account Configuration")]
    public class OAuthConfiguration
    {
        [ActivityInput("Access Token")]
        public string AccessToken { get; set; }

        [ActivityInput("Access Token Secret")]
        public string AccessTokenSecret { get; set; }

        public OAuthConfiguration()
        {
        }

        public OAuthConfiguration(string accessToken, string accessTokenSecret)
        {
            AccessToken = accessToken;
            AccessTokenSecret = accessTokenSecret;
        }
    }
}
