﻿using System;
using Microsoft.SystemCenter.Orchestrator.Integration;

namespace SocialMediaIntegrationPack
{
    [ActivityData("Tweet")]
    public class TweetData
    {
        public TweetData(string author, string text, DateTime date)
        {
            Author = author;
            Text = text;
            Date = date;
        }

        [ActivityFilter]
        [ActivityOutput(Description = "Text")]
        public string Text { get; set; }

        [ActivityFilter]
        [ActivityOutput(Description = "Date")]
        public DateTime Date { get; set; }

        [ActivityFilter]
        [ActivityOutput(Description = "Author")]
        public string Author { get; set; }
    }
}
